PHP Version:
Has patch: No
Complexity:
Subject: Support multiple password hashing strategies
Description

The security framework should support multiple password hashing strategies. An identifier could be used to differentiate between
different implementations. The hashed passwords should be self-descriptive, such that they contain an identifier for the password
hashing strategy to use for validating the hashed password.

This allows an easy transition from PBKDF2 to BCrypt or other hashing strategies in the future. It also allows for the usage of different
security levels in one application .

Related issues:
related to TYPO3.Flow - Bug # 32991: Wrong default password hashing strategy Resolved 2012-01-05

Associated revisions
Revision c3c9dfcc - 2011-12-20 14:28 - Christopher Hlubek

[FEATURE] Support multiple password hashing strategies

Add configurable password hashing strategies to the HashService.

Resolves: #31679
Releases: 1.1
Change-Id: I6a8689d3dc38b7c9a7b20407a87f1688a1b3af20

History
#1 - 2011-11-08 14:42 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I6a8689d3dc38b7c9a7b20407a87f1688a1b3af20 has been pushed to the review server.
It is available at http://review.typo3.org/6598

#2 - 2011-11-08 14:44 - Mr. Hudson

Patch set 2 of change I6a8689d3dc38b7c9a7b20407a87f1688a1b3af20 has been pushed to the review server.
It is available at http://review.typo3.org/6598

#3 - 2011-12-07 10:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6598

#4 - 2011-12-20 14:28 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6598

#5 - 2011-12-20 14:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c3c9dfcc317604077c5a7c313f8ca9f3dccf7681.

#6 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
